// -*- qml -*-

/*!
 * This file is part of CameraPlus.
 *
 * Copyright (C) 2012-2013 Mohammed Sameer <msameer@foolab.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

import QtQuick 1.1
import com.nokia.meego 1.1
import QtCamera 1.0

Image {
        id: image
        anchors.fill: parent
        property alias animationRunning: animation.running
        opacity: visible ? 1 : 0
        z: 1

        visible: opacity != 0

        cache: false
        fillMode: Image.PreserveAspectFit

        MouseArea {
                anchors.fill: parent
                enabled: parent.visible
        }

        SequentialAnimation {
                id: animation
                PauseAnimation { duration: 500; alwaysRunToEnd: true }
                NumberAnimation { target: preview; property: "opacity"; from: 1; to: 0; duration: 250; alwaysRunToEnd: true }
        }

        function setPreview(preview) {
                image.source = preview;
                image.opacity = 1;
                animation.start();
        }
}
